voxel_gt_roc = reshape(voxel_gt,1,[]);
voxel_pred_roc = reshape(voxel_pred,1,[]);
voxel_pred_roc = voxel_pred_roc(voxel_gt_roc ~= -1);
voxel_gt_roc = voxel_gt_roc(voxel_gt_roc ~= -1);
[tp, fp, tn, fn, split] = roc(voxel_gt, voxel_pred, true);

semilog(fp./(fp+tn),tp./(fn+tp))